<header>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" href="#">Webstories</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" [routerLink]="['/home']">Trang
                            chủ <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Tìm
                            kiếm</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" onclick="document.getElementById('id01').style.display='block'" style="width:auto;">Đăng nhập</a>
                    </li>
                    
                </ul>
                <form id="search" class="form-inline mt-2 mt-md-0">
                    <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
                    <button class="btn btn-primary my-2 my-sm-0" type="submit">Search</button>
                </form>
            </div>
        </div>
    </nav>
</header>

<main role="main">

    <section class="jumbotron text-center">
        <div class="container">
            <h1>Website stories</h1>
            <p class="lead text-muted">Something short and leading about
                the collection below—its contents, the creator, etc.
                Make it short and sweet, but not too short so folks
                don’t simply skip over it entirely.</p>
            <p>
                <a href="#" class="btn btn-primary my-2">Main call to
                    action</a>
                <a href="#" class="btn btn-secondary my-2">Secondary
                    action</a>
            </p>
        </div>
    </section>
    <div id="id01" class="modal">
  
        <form class="modal-content animate" action="/action_page.php" method="post">
      
          <div class="container">
            <label for="uname"><b>Username</b></label>
            <input type="text" placeholder="Enter Username" name="uname" required>
      
            <label for="psw"><b>Password</b></label>
            <input type="password" placeholder="Enter Password" name="psw" required>
              
            <button id="submit" type="submit">Login</button>
            
          </div>
      
          <div class="container" style="background-color:#f1f1f1">
            <button type="button" onclick="document.getElementById('id01').style.display='none'" class="cancelbtn">Cancel</button>
            
          </div>
        </form>
      </div>
      
      <script>
      // Get the modal
      var modal = document.getElementById('id01');
      
      // When the user clicks anywhere outside of the modal, close it
      window.onclick = function(event) {
          if (event.target == modal) {
              modal.style.display = "none";
          }
      }
      </script>
    <div class="album py-5 bg-light">
        <div class="container">

            <div class="row">
                <div class="col-lg-9 order-lg-12">

                    <router-outlet ></router-outlet >
                </div>
                <div class="col-lg-3 order-lg-1">
                    <div class="sidebar">
                        <div class="widget">
                            <h4>Chuyên mục</h4>
                            <ul class="nav flex-column">
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Trường
                                        học</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Giáo
                                        viên</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Học
                                        sinh</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Giao
                                        thông</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Gia
                                        đình</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Trường
                                        học</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Giáo
                                        viên</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Học
                                        sinh</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Giao
                                        thông</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="#">Gia
                                        đình</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

<footer class="text-muted">
    <div class="container">
        <p class="float-right">
            <a href="#">Back to top</a>
        </p>
        <p>2020 &copy; Webstories</p>
    </div>
</footer>

